import React from 'react';
import { Menu, Icon } from 'antd';
import '../leftTab.less';
const SubMenu = Menu.SubMenu;
const MenuItemGroup = Menu.ItemGroup;


const LeftTab = React.createClass({
    getInitialState() {
        return {
            current: 'myClient'
        };
    },
    handleClick(e) {
        this.props.handlekey(e.key);
        this.setState({
            current: e.key,
        });
    },
    componentWillMount() {
        if (window.location.hash) {
            this.state.current = window.location.hash.substr(1);
        };
    },
    render() {
        return (
            <Menu onClick={this.handleClick}
                selectedKeys={[this.state.current]}
                mode="vertical"
                className="account-left" >
                <Menu.Item key="myClient">
                    我的客户
                </Menu.Item>               
                <Menu.Item key="publicCustomer">
                    公共客户
                </Menu.Item>
                <Menu.Item key="teamCustomer">
                    团队客户
                </Menu.Item>
                <Menu.Item key="companyCustomer">
                    公司客户
                </Menu.Item>
                
            </Menu>
        );
    },
});

export default LeftTab;